

subroutine MASSB_ANTEIS_PERTURB ()


  USE module3D_phy
  USE CLIMAT_PERTURB_MOD

  implicit none
! C. DUMAS Oct 2008 : perturbation de Tann, Tjuly avec lapse rate
! precip en exp de temp
! on utilise TAFOR pour perturber la temp dans le temps
    

!     surface temperature et accumulation
  do J=1,NY
     do I=1,NX
        Tann(i,j)=TA0(I,J)-0.00914*(S(i,j)-S0(I,J))+TAFOR
        TJULY(I,J)=TJ0(I,J)-0.00914*(S(i,j)-S0(I,J))+TAFOR
        ACC(I,J)=PRECIP0(I,J)*exp(rappact*(TANN(I,J)-TA0(I,J)))
     end do
  end do
  return
end subroutine MASSB_ANTEIS_PERTURB
